[pkg-wine-party] [SCM] Debian Wine documentation packaging branch, master, updated. d52b7ba512077be164a9a8a6aaac05d161c33a28

Ove Kaaven ovek at arcticnet.no
Wed Jun 18 07:50:34 UTC 2008


The following commit has been merged in the master branch:
commit aaccf73676363b6aaf17007f3d5e772b3df4f801
Author: Ove Kaaven <ovek at arcticnet.no>
Date:   Wed Jun 18 09:40:59 2008 +0200

    Adapted remaining maintainer script from the Wine packaging.

diff --git a/debian/maint/import b/debian/maint/import
new file mode 100755
index 0000000..5276486
--- /dev/null
+++ b/debian/maint/import
@@ -0,0 +1,57 @@
+#!/bin/sh
+set -e
+if [ "$1" != "--upstream-version" ]
+then
+  echo "Usage: $0 --upstream-version VERSION FILENAME"
+  exit 1
+fi
+upstream_version="$2"
+origfilename="$3"
+
+# dereference symlink, we'll stash the original filename into pristine-tar
+# (currently, debian does not allow .tar.bz2 source packages anyway, so this
+# reserves the .orig.tar.* names for what's actually uploaded to Debian)
+if [ -L "$origfilename" ]
+then
+  filename="`find "$origfilename" -printf "%h/%l"`"
+else
+  filename="$origfilename"
+fi
+
+# craft the .orig.tar.gz for the Debian source package
+debfilename="`dirname "$origfilename"`/wine-doc_$upstream_version.orig.tar.gz"
+if [ "$filename" != "$origfilename" ] && [ "$origfilename" != "$debfilename" ]
+then
+  # kill .orig.tar.bz2, we won't use it
+  rm "$origfilename"
+fi
+if [ ! -f "$debfilename" ]
+then
+  # convert .orig.tar.gz
+  bzcat "$filename"|gzip -9 > "$debfilename"
+fi
+
+# if we're not building from a git tree, use regular uupdate
+if [ ! -d ".git" ]
+then
+  exec uupdate --no-symlink "$*"
+fi
+
+# pull from upstream git repository
+upstream_tag="wine-docs-$upstream_version"
+git checkout upstream
+git pull winehq tag "$upstream_tag"
+
+# load original .tar.bz2 into pristine-tar
+git checkout master
+pristine-tar -v commit "$filename" "$upstream_tag"
+
+# load converted .tar.gz into pristine-tar
+pristine-tar -v commit "$debfilename" "$upstream_tag"
+
+# merge from upstream into master branch
+git checkout -q master
+git merge upstream
+
+# amend the merge commit message
+$0-done --upstream-version "$upstream_version"

-- 
Debian Wine documentation packaging



More information about the pkg-wine-party mailing list